require 'acceptance_helpers'
require 'shared/contexts'

resource 'Bookmarks' do
  let(:bookmarks) { Bookmark.all }

  get '/v1/users/:user_id/bookmarks' do
    include_context "authenticate_user"

    parameter :user_id, 'The user id'

    let(:user_id) { @user.id }

    before do
      create(:bookmark, user: @user)
    end

    example_request 'Getting bookmarks' do
      expect(status).to eq(200)
    end
  end

end
